### Function

# Pango Font deserialize

#### Declaration [src]

    PangoFont*
    pango_font_deserialize (
      PangoContext* context,
      GBytes* bytes,
      GError** error
    )

#### Description [src]

Loads data previously created via `pango_font_serialize()`.

For a discussion of the supported format, see that function.

Note: to verify that the returned font is identical to the one that was serialized, you can compare `bytes` to the result of serializing the font again.

Available since: | 1.50

#### Parameters

`context` | `PangoContext`
| A `PangoContext`
| The data is owned by the caller of the function.
`bytes` | `GBytes`
| The bytes containing the data.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `PangoFont`
| A new `PangoFont`
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.